This file correctly buffers and reads-back files in the 32mb buffer, it 
has a bug when the file wraps the end of the buffer though.

files were checked by md5sum to make sure they really were correct
